'
' * Created by toText.net.
' * Date: 10/02/2009
' 

Imports System.Collections
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.SessionState
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls

''' <summary>
''' Form used to enter data to send to toText.net to send to a message to a mobile phone.
''' </summary>
Public Class SendForm
	Inherits Page
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	#Region "Data"

	Protected usernameInput As TextBox
	Protected passwordInput As TextBox
	Protected destinationInput As TextBox
	Protected messageInput As TextBox
	Protected responseTextArea As TextBox
	Protected sendButton As Button
	Protected testModeCheckbox As CheckBox

	#End Region
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	#Region "Page Init & Exit (Open/Close DB connections here...)"

	Protected Sub PageInit(sender As Object, e As System.EventArgs)
	End Sub
	'----------------------------------------------------------------------
	Protected Sub PageExit(sender As Object, e As System.EventArgs)
	End Sub

	#End Region
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	#Region "Page Load"
	Private Sub Page_Load(sender As Object, e As System.EventArgs)
		'------------------------------------------------------------------
		If IsPostBack Then
		End If
		'------------------------------------------------------------------
	End Sub
	#End Region
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	#Region "Send Click Handler"
	''' <summary>
	''' Handle clicks on the send button
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	Protected Sub ClicksendButton(sender As Object, e As System.EventArgs)
		If Page.IsValid Then
			Dim poster As New HTTPPoster(usernameInput.Text, passwordInput.Text, destinationInput.Text, messageInput.Text, testModeCheckbox.Checked)


			responseTextArea.Text = poster.Post()
		End If

	End Sub
	#End Region
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	#Region "Initialize Component"

	Protected Overloads Overrides Sub OnInit(e As EventArgs)
		InitializeComponent()
		MyBase.OnInit(e)
	End Sub
	'----------------------------------------------------------------------
	Private Sub InitializeComponent()
		'------------------------------------------------------------------
		AddHandler Me.Load, New System.EventHandler(AddressOf Page_Load)
		AddHandler Me.Init, New System.EventHandler(AddressOf PageInit)
		AddHandler Me.Unload, New System.EventHandler(AddressOf PageExit)
		'------------------------------------------------------------------
		AddHandler sendButton.Click, New EventHandler(AddressOf ClicksendButton)

		'------------------------------------------------------------------

	End Sub
	#End Region
	'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
End Class
